Summary:	Oxyd clone
Summary(pl.UTF-8):	Klon gry Oxyd
Name:		enigma
Version:	1.21
Release:	2
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/enigma-game/%{name}-%{version}.tar.gz
# Source0-md5:	d2f4a099a704fdf7f12d024d2b7e6d1b
Patch0:		%{name}-desktop.patch
Patch1:		0003-prevent-ImageMagick-inserting-timestamps-to-PNGs.patch
Patch2:		0004-src-lev-Proxy.cc-fix-check-for-basic_ifstream-s-read.patch
Patch3:		%{name}-gettext.patch
URL:		http://www.nongnu.org/enigma/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_image-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.5
BuildRequires:	SDL_ttf-devel >= 2.0.6
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gettext-tools
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	xerces-c-devel >= 2.4
BuildRequires:	zlib-devel
Requires:	SDL >= 1.2.0
Requires:	SDL_image >= 1.2.0
Requires:	SDL_mixer >= 1.2.5
Requires:	SDL_ttf >= 2.0.6
Requires:	xerces-c >= 2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enigma is a puzzle game inspired by Oxyd on the Atari ST and
Rock'n'Roll on the Amiga: You control a small black marble and have to
find and uncover all pairs of identical Oxyd stones in each landscape.
Sounds simple? It would be, if it weren't for hidden traps, vast
mazes, insurmountable obstacles and lots of hairy puzzles, blocking
your direct way to the Oxyd stones...

%description -l de.UTF-8
Bei Enigma handelt es sich um ein Remake des 1990 erschienen
Spiele-Klassikers Oxyd. Das Ziel des Spiels ist schnell erklärt:
Versuchen Sie alle gleichfarbigen "Oxyd"-Steine in jeder Landschaft zu
finden und aufzudecken. Hört sich einfach an? Wäre es vielleicht auch,
würden nicht versteckte Fallen, gewaltige Irrgärten, scheinbar
unüberwindliche Hindernisse und viele, viele Rätsel den direkten Weg
zu den Steinen blockieren...

%description -l pl.UTF-8
Enigma jest grą logiczną zainspirowaną przez Oxyd z Atari ST i
Rock'n'Roll z Amigi. Kontroluje się małą czarną kulkę mając za zadanie
odnaleźć i odkryć wszystkie pary identycznych kamieni Oxyd na każdej
planszy. Proste? Było by, gdyby nie ukryte pułapki, przepastne
labirynty, niepokonane przeszkody i mnóstwo włochatych zagadek
blokujących drogę do kamieni Oxyd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT{%{_libdir}/libenet.a,%{_includedir}/enet}

# generic license texts
%{__rm} $RPM_BUILD_ROOT%{_docdir}/enigma/{COPYING,gpl.txt,lgpl.txt}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/enigma
%{_datadir}/%{name}
%{_datadir}/appdata/enigma.appdata.xml
%{_desktopdir}/enigma.desktop
%{_iconsdir}/hicolor/48x48/apps/enigma.png
%{_pixmapsdir}/enigma.png
%{_mandir}/man6/enigma.6*
%dir %{_docdir}/enigma
%{_docdir}/enigma/ACKNOWLEDGEMENTS
%{_docdir}/enigma/CHANGES
%{_docdir}/enigma/README
%{_docdir}/enigma/index.html
%{_docdir}/enigma/images
%dir %{_docdir}/enigma/manual
%{_docdir}/enigma/manual/enigma.html
%lang(de) %{_docdir}/enigma/manual/enigma_de.html
%lang(fr) %{_docdir}/enigma/manual/enigma_fr.html
%lang(ru) %{_docdir}/enigma/manual/enigma_ru.html
%{_docdir}/enigma/manual/images
%{_docdir}/enigma/reference
%changelog
* Sat Dec 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/enigma.git;a=log;h=master

* Sat Dec 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 9602dc2
- added gettext patch (add external arg to allow gettext 0.20+)
- package appdata file
- release 2

* Thu Nov 23 2017 Jan Rękorajski <baggins@pld-linux.org> 196ffd0
- up to 1.21
- added build fixes from fedora

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a118546
- updated gettext BR

* Fri Nov 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 2d1c8af
- custom desktop file replaced by patch against upstream one
- updated BRs
- package all documentation

* Fri Nov 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dd4e30
- up to 1.20

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9211f39
- release 11 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 95c4b96
- gcc4.6 fixes

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 218bf77
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> a030dc2
- gcc4.6 fixes (-gcc.patch)
- release 10 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 078c6da
- release 9

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 58ee33f
- release 8

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 89f9310
- release 7

* Wed Nov 24 2010 Jan Rękorajski <baggins@pld-linux.org> 2a4a88d
- rel 6

* Wed Nov 24 2010 Jan Rękorajski <baggins@pld-linux.org> 02fef4b
- fix build issues with xerces-c 3.1

* Tue Nov 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c25272
- release 5

* Sat Nov 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a0b20b
- release 4

* Sat Feb 06 2010 sparky <sparky@pld-linux.org> 3945194
- BR: libpng-devel

* Sat Feb 06 2010 Jan Rękorajski <baggins@pld-linux.org> e4d2db0
- rel 3
- fix latest c++ problems

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> d6e517f
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Thu Sep 06 2007 wolf <wolf@pld-linux.org> a43811e
- rel 2

